iPAY WPHotelier PLUGIN	 	 	
------------------------------------------------------------------
Requirements:	 	 	 	 	
===============
This plugin is tested for WPHotelier version 2.5

Installation
================
1. Move the iPay folder to wp-content > plugins > wp-hotelier > includes > gateways folder. After doing that, you will need to call the plugin from Wp-Hotelier using the following code that you should add on line 100 of file `wp-content > plugins > wp-hotelier > includes > class-htl-payment-gateways.php`

```php
'ipay' => array(
	'id' => 'ipay',
	'admin_label' => esc_html__('iPay Payment Gateway', 'wp-hotelier'),
	'class' => 'HTL_Gateway_Ipay',
),
```

2. Also include the main class on line 85

```php
include_once 'gateways/ipay/class-htl-gateway-ipay.php';
```


3. Finally, add the below functions to the theme's functions.php in order to add the Kenyan currency. Its not supported because WP-Hotelier has covered currencies for countries that Paypal support.

```php
function hotelier_custom_currency( $currencies ) {
    $currencies[ 'KES' ] = 'Kenya Shilling';
    $currencies[ 'TZS' ] = 'Tanzania Shilling';
    $currencies[ 'UGX' ] = 'Uganda shilling';
    $currencies[ 'XOF' ] = 'West African CFA franc';

    return $currencies;
}
add_filter( 'hotelier_currencies', 'hotelier_custom_currency' );

function hotelier_custom_currency_symbol( $currency_symbol ) {
    $currency_symbol = 'KES';

    return $currency_symbol;
}
add_filter( 'hotelier_currency_symbol', 'hotelier_custom_currency_symbol' );
```
Configuration	 	 	 	 	
===============	 	 	 	 	
1. Go to `Hotelier->settings->payment gateways`, tick on the 'iPay payment gateway' option.
2. Scroll down to find iPay settings, switch the iPay sandbox mode on if you're just testing and ensure you've 
   set the vendor ID fields and hash key to the ones given to you by iPay.

Thank you for choosing iPay. Payments made Easy.
	
Support	 	 	 	 	 	
============	 	 	 	 	
Please visit the iPay website (http://www.ipayafrica.com) for our support contact details.  
